Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::chunk_view< Rng >::adaptor Struct Reference
Views
Inheritance diagram for ranges::v3::chunk_view< Rng >::adaptor:

## Public Member Functions
| adaptor (range_difference_type_t< Rng > n, sentinel_t< Rng > end)
void | advance (iterator_t< Rng > &it, range_difference_type_t< Rng > n)
range_difference_type_t< Rng > | distance_to (iterator_t< Rng > const &here, iterator_t< Rng > const &there, adaptor const &that) const
| end_ (end)
| n_ (n)
void | next (iterator_t< Rng > &it)
void | prev (iterator_t< Rng > &it)
auto | read (iterator_t< Rng > it) const -> decltype(view::take(make_iterator_range(std::move(it), end_), n_))
Public Member Functions inherited from ranges::v3::adaptor_base
| adaptor_base (adaptor_base &&)=default
| adaptor_base (adaptor_base const &)=default
| adaptor_base (detail::any, detail::any={}, detail::any={})
template<typename Rng >
iterator_t< base_range_t< Rng > > | begin (Rng &rng) const
template<typename Rng >
sentinel_t< base_range_t< Rng > > | end (Rng &rng) const
adaptor_base & | operator= (adaptor_base &&)=default
adaptor_base & | operator= (adaptor_base const &)=default

## Additional Inherited Members
Static Public Member Functions inherited from ranges::v3::adaptor_base
template<typename I , requires = (RandomAccessIterator<I>())>
static void | advance (I &it, difference_type_t< I > n)
template<typename I , requires = (SizedSentinel<I, I>())>
static difference_type_t< I > | distance_to (I const &it0, I const &it1)
template<typename I , typename S , requires = (Sentinel<S, I>())>
static constexpr bool | empty (I const &it, S const &end)
template<typename I , requires = (EqualityComparable<I>())>
static bool | equal (I const &it0, I const &it1)
template<typename I , requires = (Iterator<I>())>
static void | next (I &it)
template<typename I , requires = (BidirectionalIterator<I>())>
static void | prev (I &it)
template<typename I , requires = (Iterator<I>())>
static reference_t< I > | read (I const &it, detail::adaptor_base_current_mem_fn={}) noexcept(noexcept(reference_t< I >(*it)))

## Member Function Documentation

## ◆ advance()

template<typename Rng >

void ranges::v3::chunk_view< Rng >::adaptor::advance | ( | iterator_t< Rng > & | it,
|  | range_difference_type_t< Rng > | n
| ) |  |

Precondition
  RandomAccessRange<Rng>()

References ranges::v3::advance.

## ◆ distance_to()

template<typename Rng >

range_difference_type_t<Rng> ranges::v3::chunk_view< Rng >::adaptor::distance_to | ( | iterator_t< Rng > const & | here,
|  | iterator_t< Rng > const & | there,
|  | adaptor const & | that
| ) |  | const

Precondition
  SizedSentinel<iterator_t<Rng> iterator_t<Rng>>())

## ◆ prev()

template<typename Rng >

void ranges::v3::chunk_view< Rng >::adaptor::prev | ( | iterator_t< Rng > & | it | ) |

Precondition
  BidirectionalRange<Rng>()

References ranges::v3::advance.